<div class="container center">
    <div class="flex">
    <h3>Mettre à jour son profil</h3>
    </div>
    <form class="flex" action="index.php?page=author" method="POST">
        <?php if (!empty($errors)): ?>
        <div class="error" role="alert">
            <?php foreach ($errors as $error) : ?>
                <?php echo $error; ?><br>
            <?php endforeach; ?>
        </div>
        <?php endif; ?>
        
        <div class="flex">
            <label for="name">Name</label>
            <input type="text" name="name" id="name" value="<?= htmlspecialchars($oldName, ENT_QUOTES); ?>">
        </div>
        
        <div class="flex">
            <label for="login">Login</label>
            <input type="text" name="login" id="login" value="<?= htmlspecialchars($oldLogin, ENT_QUOTES); ?>">
        </div>
        
        <div class="flex">
             <label for="email">Email</label>
             <input type="email" id="email" name="email" value="<?= htmlspecialchars($oldEmail, ENT_QUOTES); ?>" placeholder="you@example.com" >
        </div>
        
        <div class="flex">
            <label for="password">Mot de passe</label>
            <input type="password" id="password" name="password" value="<?= isset($_POST['password']) ? htmlspecialchars($_POST['password'], ENT_QUOTES): null; ?>" placeholder="Choississez un mot de passe fort" >
        </div>
        
        <div>
            <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null; ?>">
            <input class="btn" type="submit" value="Mettre à jour">
        </div>
    </form>
</div>